/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderClaseServicio implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ClaseServicio claseServicio = (ClaseServicio) o;

        Listcell lc = new Listcell(claseServicio.getClaseservicioId().toString());
        lc.setParent(lstm);

        lc = new Listcell(claseServicio.getDescclase());
        lc.setParent(lstm);

        lstm.setAttribute("data", claseServicio);
    }
}
